'' 
'' このコードは、https://demo.mescius.jp/diodocs/pdf のサンプルの一部として提供されています。
'' © MESCIUS inc. All rights reserved.
'' 
Imports System.IO
Imports System.Drawing
Imports GrapeCity.Documents.Pdf
Imports GrapeCity.Documents.Text
Imports GCTEXT = GrapeCity.Documents.Text
Imports GCDRAW = GrapeCity.Documents.Drawing

'' フォント機能の簡単なデモンストレーションです。
'' フォント機能の一覧は https://docs.microsoft.com/ja-jp/typography/opentype/spec/featurelistに記載があります。
'' また、 Ligatures にも情報を記載しています。
Public Class FontFeatures
    Function CreatePDF(ByVal stream As Stream) As Integer
        Dim doc = New GcPdfDocument()
        Dim g = doc.NewPage().Graphics
        ''
        Dim fnt = GCTEXT.Font.FromFile(Path.Combine("Resources", "Fonts", "Gabriola.ttf"))
        Dim tf = New TextFormat() With {.Font = fnt, .FontSize = 20}
        ''
        Dim tl = g.CreateTextLayout()
        tl.AppendLine("Line with no custom font features.", tf)
        ''
        tf.FontFeatures = New FontFeature() {New FontFeature(FeatureTag.ss03)}
        tl.AppendLine("Line with font feature ss03 enabled.", tf)
        ''
        tf.FontFeatures = New FontFeature() {New FontFeature(FeatureTag.ss05)}
        tl.AppendLine("Line with font feature ss05 enabled.", tf)
        ''
        tf.FontFeatures = New FontFeature() {New FontFeature(FeatureTag.ss07)}
        tl.AppendLine("Line with font feature ss07 enabled.", tf)
        ''
        tl.PerformLayout(true)
        g.DrawTextLayout(tl, New PointF(72, 72))
        ''
        '' PDF ドキュメントを保存します。
        doc.Save(stream)
        Return doc.Pages.Count
    End Function
End Class
